<?
function recibe_imagen ($url_origen,$archivo_destino){
$mi_curl = curl_init ($url_origen);
$fs_archivo = fopen ($archivo_destino, "w");
curl_setopt ($mi_curl, CURLOPT_FILE, $fs_archivo);
curl_setopt ($mi_curl, CURLOPT_HEADER, 0);
curl_exec ($mi_curl);
curl_close ($mi_curl);
fclose ($fs_archivo);
}

include('concha.php');
mysql_connect("$host2","$usuario2","$contra2");

mysql_select_db ("guiadear_base");



$sql = "SELECT * FROM `musica_tracks` WHERE analizado_letra = '0' AND letra = '' LIMIT 1";



$consulta = mysql_query ($sql);

while ($row = mysql_fetch_array($consulta))

{

$ID  = $row["ID"];
$tema  = urls_amigables($row["name"]);
$ID_t  = $row["ID"];
$ID_d  = $row["ID_d"];




$sql5 = "SELECT * FROM `musica_albumes` WHERE `ID` = '$ID_d' LIMIT 1";

$consulta5 = mysql_query ($sql5);

while ($row5 = mysql_fetch_array($consulta5))

{

$ID_banda  = $row5["ID_banda"];


$sql55 = "SELECT * FROM `musica_artistas` WHERE `ID` = '$ID_banda' LIMIT 1";

$consulta55 = mysql_query ($sql55);

while ($row55 = mysql_fetch_array($consulta55))

{

$banda  = $row55["real_name"];
echo;
$banda = str_replace('/','-', $banda);

$banda = urls_amigables($banda);
?>

<?
}

mysql_free_result($consulta55);


}

mysql_free_result($consulta5);

}

mysql_free_result($consulta);


$real_name = str_replace (' ','+',$real_name);


$tema = str_replace(" ","+",$tema);
$banda = str_replace(" ","+",$banda);


$url = "https://www.letras.com/$banda/$tema";

echo "$url<br>
";

 $aContext = array(
    'http' => array(
            'proxy' => 'tcp://69.147.248.248:3128',
        'request_fulluri' => true,
    ),
);
$cxContext = stream_context_create($aContext);

$sFile = file_get_contents("$url", False, $cxContext);

$codigohtml =$sFile;




preg_match_all("(<div class=\"cnt-letra p402_premium\">(.*)</div>)siU", $codigohtml, $letra);



$letraA =  $letra[1][0];


$sSQL="UPDATE `guiadear_base`.`musica_tracks` SET `letra` = '$letraA' WHERE `musica_tracks`.`ID` = '$ID_t' LIMIT 1;";
mysql_db_query("$basedatos2",$sSQL);


$sSQL="UPDATE `guiadear_base`.`musica_tracks` SET `analizado_letra` = '1' WHERE `musica_tracks`.`ID` = '$ID_t' LIMIT 1;";
mysql_db_query("$basedatos2",$sSQL);

echo $sSQL;
echo $letraA;
 ?>